> For the complete documentation index, see [llms.txt](https://ac.docs.landis.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ac.docs.landis.cloud/appendix/advanced-settings.md).

# Advanced Settings

<table><thead><tr><th width="218">Setting Code</th><th width="214">Description</th><th width="150">default/enforce</th><th width="150">roaming</th><th data-hidden></th></tr></thead><tbody><tr><td>keyboardShortcutValues</td><td>Array of Keyboard shortcuts</td><td>YES</td><td>YES</td><td></td></tr><tr><td>layoutConfig</td><td>Layout Configuration</td><td>?? TBD</td><td>?? TBD</td><td></td></tr><tr><td>micDeviceInfo</td><td>selected microphone</td><td>NO</td><td>NO</td><td></td></tr><tr><td>speakerDeviceInfo</td><td>selected speakerphone</td><td>NO</td><td>NO</td><td></td></tr><tr><td>ringDeviceInfo</td><td>selected speaker for ring sound</td><td>NO</td><td>NO</td><td></td></tr><tr><td>ringDisabled</td><td>Disable ring sound</td><td>YES</td><td>YES</td><td></td></tr><tr><td>callPopLookupUrl</td><td>lookup url for callpop</td><td>YES</td><td>YES</td><td></td></tr><tr><td>defaultTransferMode</td><td>default transfer mode when a call is answered</td><td>YES</td><td>YES</td><td></td></tr><tr><td>holdOnTransferMode</td><td>call placed on hold as soon as a user puts it in a transfer mode</td><td>YES</td><td>YES</td><td></td></tr><tr><td>contactEndpointOrder</td><td>Order of contact endpoints to use when calling a user</td><td>YES</td><td>YES</td><td></td></tr><tr><td>contactLayoutButtons</td><td>buttons that show on contact card</td><td>YES</td><td>YES</td><td></td></tr><tr><td>contactLayoutTextBlocks</td><td>text that is show on a contact card</td><td>YES</td><td>YES</td><td></td></tr><tr><td>contactGroupsMulti</td><td>Array of Contact Groups</td><td>YES</td><td>YES</td><td></td></tr><tr><td>defaultSelectedContactGroup</td><td>Default selected contact group</td><td>YES</td><td>YES</td><td></td></tr><tr><td>contactSearchListsDefinitions</td><td>Array of contact search sources</td><td>YES</td><td>YES</td><td></td></tr><tr><td>buttonVisibleBlindTransfer</td><td>should blind transfer button be shown</td><td>YES</td><td>YES</td><td></td></tr><tr><td>buttonVisibleSafeTransfer</td><td>should safe transfer button be shown</td><td>YES</td><td>YES</td><td></td></tr><tr><td>buttonVisibleAddParticipant</td><td>should add particiapnt button be shown</td><td>YES</td><td>YES</td><td></td></tr><tr><td>buttonVisibleConsultTransfer</td><td>should consult transfer button be shown</td><td>YES</td><td>YES</td><td></td></tr><tr><td>customSettings</td><td>array of custom settings</td><td>YES</td><td>YES</td><td></td></tr><tr><td>quickAccessShortcuts</td><td>Array of quick access shortcuts</td><td>YES</td><td>YES</td><td></td></tr><tr><td>normalizationRules</td><td>array of number normalization rules</td><td>YES</td><td>YES</td><td></td></tr><tr><td>future Theme Setting?</td><td></td><td>?? TBD</td><td>?? TBD</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://ac.docs.landis.cloud/appendix/advanced-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
